From: "Austin English" <wizardedit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-board/ace/, games-board/ace/files/
Date: Thu, 8 Sep 2016 18:24:36 +0000 (UTC) [thread overview]
Message-ID: <1473359067.1280dc722fca9608ba1f919d4624859c0f3831ec.wizardedit@gentoo> (raw)
commit: 1280dc722fca9608ba1f919d4624859c0f3831ec
Author: Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 8 17:49:49 2016 +0000
Commit: Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Thu Sep 8 18:24:27 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1280dc72
games-board/ace: remove deprecated games eclass
Also update to EAPI 6
Gentoo-Bug: https://bugs.gentoo.org/574082
Package-Manager: portage-2.3.0
games-board/ace/ace-1.4-r1.ebuild | 55 ++++++++++++++++++++++++++++
games-board/ace/files/ace-1.4-gold.patch | 12 +++---
games-board/ace/files/ace-1.4-libpng15.patch | 8 ++--
games-board/ace/files/ace-1.4-no-xpm.patch | 4 +-
4 files changed, 67 insertions(+), 12 deletions(-)
diff --git a/games-board/ace/ace-1.4-r1.ebuild b/games-board/ace/ace-1.4-r1.ebuild
new file mode 100644
index 00000000..bdeb333
--- /dev/null
+++ b/games-board/ace/ace-1.4-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils
+
+DESCRIPTION="DJ Delorie's Ace of Penguins solitaire games"
+HOMEPAGE="http://www.delorie.com/store/ace/"
+SRC_URI="http://www.delorie.com/store/ace/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+RDEPEND="
+ media-libs/libpng:0
+ x11-libs/libX11"
+DEPEND="${RDEPEND}
+ x11-proto/xproto"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-no-xpm.patch
+ "${FILESDIR}"/${P}-libpng15.patch
+ "${FILESDIR}"/${P}-gold.patch
+ "${FILESDIR}"/${P}-CC.patch
+ "${FILESDIR}"/${P}-clang.patch
+)
+
+src_prepare() {
+ default
+
+ mv configure.{in,ac} || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-static \
+ --program-prefix=ace-
+}
+
+src_install() {
+ default
+
+ dodoc docs/*
+ newicon docs/as.gif ${PN}.gif
+ cd "${D}/usr/bin" || die
+ local p
+ for p in *
+ do
+ make_desktop_entry $p "Ace ${p/ace-/}" /usr/share/pixmaps/${PN}.gif
+ done
+}
diff --git a/games-board/ace/files/ace-1.4-gold.patch b/games-board/ace/files/ace-1.4-gold.patch
index 62665d6..0c51527 100644
--- a/games-board/ace/files/ace-1.4-gold.patch
+++ b/games-board/ace/files/ace-1.4-gold.patch
@@ -5,8 +5,8 @@ Subject: build system
fix gold linker compilation
https://bugs.gentoo.org/show_bug.cgi?id=435826
---- configure.in
-+++ configure.in
+--- a/configure.in
++++ b/configure.in
@@ -44,6 +44,9 @@
AC_PROG_INSTALL
AC_PROG_LN_S
@@ -96,8 +96,8 @@ https://bugs.gentoo.org/show_bug.cgi?id=435826
AC_SUBST(PDA)
AC_OUTPUT(Makefile lib/Makefile games/Makefile tests/Makefile)
---- lib/Makefile.am
-+++ lib/Makefile.am
+--- a/lib/Makefile.am
++++ b/lib/Makefile.am
@@ -5,18 +5,19 @@
CLEANFILES = images.c images.d
@@ -121,8 +121,8 @@ https://bugs.gentoo.org/show_bug.cgi?id=435826
# table_ai.c table_ck.c table_dc.c table_dg.c \
#table_dp.c table_in.c table_ky.c table_rd.c table_rs.c
---- games/Makefile.am
-+++ games/Makefile.am
+--- a/games/Makefile.am
++++ b/games/Makefile.am
@@ -30,8 +30,7 @@
STRIP = @STRIP@
diff --git a/games-board/ace/files/ace-1.4-libpng15.patch b/games-board/ace/files/ace-1.4-libpng15.patch
index f0ec4e9..23da694 100644
--- a/games-board/ace/files/ace-1.4-libpng15.patch
+++ b/games-board/ace/files/ace-1.4-libpng15.patch
@@ -1,5 +1,5 @@
---- lib/make-imglib.c
-+++ lib/make-imglib.c
+--- a/lib/make-imglib.c
++++ b/lib/make-imglib.c
@@ -86,7 +86,7 @@
png_ptr = png_create_read_struct (PNG_LIBPNG_VER_STRING, 0, 0, 0);
info_ptr = png_create_info_struct (png_ptr);
@@ -9,8 +9,8 @@
fclose (f);
continue;
}
---- lib/xwin.c
-+++ lib/xwin.c
+--- a/lib/xwin.c
++++ b/lib/xwin.c
@@ -824,13 +824,13 @@
png_ptr = png_create_read_struct (PNG_LIBPNG_VER_STRING, 0, 0, 0);
info_ptr = png_create_info_struct (png_ptr);
diff --git a/games-board/ace/files/ace-1.4-no-xpm.patch b/games-board/ace/files/ace-1.4-no-xpm.patch
index 25b0675..a8762fb 100644
--- a/games-board/ace/files/ace-1.4-no-xpm.patch
+++ b/games-board/ace/files/ace-1.4-no-xpm.patch
@@ -1,5 +1,5 @@
---- lib/table.c.orig 2008-01-15 15:05:27.000000000 -0500
-+++ lib/table.c 2010-09-29 17:34:40.925310980 -0400
+--- a/lib/table.c 2008-01-15 15:05:27.000000000 -0500
++++ b/lib/table.c 2010-09-29 17:34:40.925310980 -0400
@@ -23,7 +23,6 @@
#include <X11/Xutil.h>
#include <X11/keysym.h>
next reply other threads:[~2016-09-08 18:24 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-09-08 18:24 Austin English [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-07-17 17:25 [gentoo-commits] repo/gentoo:master commit in: games-board/ace/, games-board/ace/files/ Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1473359067.1280dc722fca9608ba1f919d4624859c0f3831ec.wizardedit@gentoo \
--to=wizardedit@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox